<bugID>1389094<Summary>Optimize Bookmarks Toolbar menus and Sidebar for touch</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Build ID: 20170810100255

Steps to reproduce:

In the latest Nightlies in Tablet mode on a Windows 10 touchscreen device: 
   -Tap a folder in the Bookmarks Toolbar
   -Open the Bookmarks or History Sidebar


Actual results:

Bookmarks Toolbar folder menu list is smaller and harder to tap with your finger compared to the rest of the UI

Sidebar trees and search box are smaller and harder to tap with your finger compared to the rest of the UI


Expected results:

The Bookmark Toolbar folder menus and the Bookmark and History Sidebar trees should be bigger or have more spacing so they are easier to use on a touch screen and match the rest of the Firefox UI when Touch Density is enabled 

The main menus and context menus were optimized for touch in Bug 1371219, and the Bookmark toolbar itself is being optimized for touch in Bug 1388794, but I didn't see a bug filed for this so I thought I'd submit.</Description></bugID>